Package ru.bitel.bgbilling.modules.voice.common.service

# Interface VoiceOperAccountService

    public interface VoiceOperAccountService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `voiceOperAccountDelete​(int accountId)` | Удаление аккаунта по его коду в БД.
  `VoiceOperAccount` | `voiceOperAccountGet​(int accountId)` | Получение одного конкретного аккаунта по его коду в БД.
  `java.util.List<VoiceOperAccount>` | `voiceOperAccountList​(int contractId, Period period)` | Получение списка аккаунта с фильтрацией по договору.
  `int` | `voiceOperAccountTypeDelete​(int accountTypeId)` | Удаление типа аккаунта по его коду в БД.
  `VoiceOperAccountType` | `voiceOperAccountTypeGet​(int accountTypeId)` | Получение одного конкретного типа аккаунта по его коду в БД.
  `java.util.List<VoiceOperAccountType>` | `voiceOperAccountTypeList()` | Получение списка типов аккаунта
  `int` | `voiceOperAccountTypeUpdate​(VoiceOperAccountType accountType)` | Добавление/изменение типа аккаунта.
  `int` | `voiceOperAccountUpdate​(VoiceOperAccount account)` | Добавление/изменение аккаунта.

- ## Method Details

  - ### voiceOperAccountList

    java.util.List<VoiceOperAccount> voiceOperAccountList​(int contractId, Period period) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Получение списка аккаунта с фильтрацией по договору.
    Parameters:
      `contractId` - код договора
    Returns:
      список аккаунтов договора
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceOperAccountGet

    VoiceOperAccount voiceOperAccountGet​(int accountId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Получение одного конкретного аккаунта по его коду в БД.
    Parameters:
      `accountId` - код аккаунта
    Returns:
      аккаунт
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceOperAccountUpdate

    int voiceOperAccountUpdate​(VoiceOperAccount account) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Добавление/изменение аккаунта. Если код аккаунта > 0, то произойдет обновление его полей, в противном случае - добавление нового аккаунта
    Parameters:
      `account` - аккаунт
    Returns:
      код добавленного/измененного аккаунта
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceOperAccountDelete

    int voiceOperAccountDelete​(int accountId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Удаление аккаунта по его коду в БД.
    Parameters:
      `accountId` - код аккаунта
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceOperAccountTypeList

    java.util.List<VoiceOperAccountType> voiceOperAccountTypeList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Получение списка типов аккаунта
    Returns:
      список типов аккаунта
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceOperAccountTypeGet

    VoiceOperAccountType voiceOperAccountTypeGet​(int accountTypeId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Получение одного конкретного типа аккаунта по его коду в БД.
    Parameters:
      `accountTypeId` - код аккаунта
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceOperAccountTypeUpdate

    int voiceOperAccountTypeUpdate​(VoiceOperAccountType accountType) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Добавление/изменение типа аккаунта. Если код типа аккаунта > 0, то будут обновлены все поля уже существующего типа аккаунта, в противном случае - добавление нового типа аккаунта
    Parameters:
      `accountType` - тип аккаунта
    Returns:
      код добавленного/измененного типа аккаунта
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceOperAccountTypeDelete

    int voiceOperAccountTypeDelete​(int accountTypeId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Удаление типа аккаунта по его коду в БД.
    Parameters:
      `accountTypeId` - код типа аккаунта
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`